Get
/v1/devices/routing/vrf/protocol-route-count
Get per VRF per protocol route count
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Header parameters
Authorization
stringRequired
Bearer token. Format: Bearer <your_token_here>
Query parameters
deviceId
integer (int64) Required
Valid configured device ID > 0
Example1000000
protocols
array of stringRequired
List of protocols names for which route count is needed
Example[
"[OSPF,BGP,connected]"
]
Item Example[OSPF,BGP,connected]
vrfName
stringRequired
Valid configured VRF names
Examplemanagement
Responses
200
OK
object
counts
Array of object (v1DevicesRoutingVrfProtocolRouteCountGetResponseProtocolCount)
object
protocol
string
Configured protocol (required)
ExampleOSPF
routeCount
object (routingAfiRouteCount)
ipv4
integer (int64)
IPv4 route count
Example32
ipv6
integer (int64)
IPv6 route count
Example6532